#import "~/graphql_shared/fragments/pageInfo.fragment.graphql"

query DastScannerProfiles(
  $fullPath: ID!
  $after: String
  $before: String
  $first: Int
  $last: Int
) {
  project(fullPath: $fullPath) {
    id
    scannerProfiles: dastScannerProfiles(
      after: $after
      before: $before
      first: $first
      last: $last
    ) {
      pageInfo {
        ...PageInfo
      }
      edges {
        cursor
        node {
          id
          profileName
          spiderTimeout
          targetTimeout
          scanType
          useAjaxSpider
          showDebugMessages
          editPath
          referencedInSecurityPolicies
        }
      }
    }
  }
}
